Anonymous Login
2019-02-19 04:39 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001516v3.2 ReleaseEventspublic2014-07-16 21:29
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0001516: months calendar shows all tasks for the company, does not filter by user
DescriptionA user has been added and assigned to all tasks of one project.

His monthview shows ALL tasks assigned to the selected company - it is not filtered by his userid. So essentially, he sees everybody's tasks, not only his tasks.
Didn't check for dayview etc.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003336

opto (manager)

partly fixed see 2 commits in stable 3.2 pre:

functionlity now: respect filter my events and previous version filtering (show all for company).

missing: distinguish between owned by myself and ALL.
I think previous showed all, so owner filter is still missing.

~0003355

caseydk (administrator)

Seems to work as expected now.

Tested by creating multiple events, some assigned to me, some not. The filters worked as expected.
+Notes

-Issue History
Date Modified Username Field Change
2014-04-27 09:20 opto New Issue
2014-04-27 09:42 opto Note Added: 0003336
2014-05-09 15:16 caseydk Note Added: 0003355
2014-05-09 15:16 caseydk Status new => resolved
2014-05-09 15:16 caseydk Resolution open => fixed
2014-05-09 15:16 caseydk Assigned To => caseydk
2014-06-10 22:09 caseydk Target Version => 3.2
2014-07-16 21:26 caseydk Fixed in Version => 3.2
2014-07-16 21:29 caseydk Status resolved => closed
+Issue History